class SumaryInfo {
  showDishAndGroupCount(menu) {
    const { pratos } = menu.tabela;
    const groups = {};
    for(let i = 1; i < pratos.length - 1; i++) {
      const dishesOnDay = pratos[i];
      dishesOnDay.forEach(dish => {
        groups[dish.gpprato] = groups[dish.gpprato] || {
          name: dish.gppratoNome,
          dishes: {},
        }
        groups[dish.gpprato].dishes[dish.prato] = groups[dish.gpprato].dishes[dish.prato] || 0;
        groups[dish.gpprato].dishes[dish.prato]++;
      })
    }
    console.log(groups);
  }
}

module.exports = new SumaryInfo();